--- old/usr/src/man/man3c/getlogin.3c	Sat Apr 20 14:17:51 2013
+++ new/usr/src/man/man3c/getlogin.3c	Sat Apr 20 14:17:51 2013
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright (c) 2013 Gary Mills
 .\" Copyright (c) 2004 Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
@@ -9,7 +10,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETLOGIN 3C "May 18, 2004"
+.TH GETLOGIN 3C "Apr 19, 2013"
 .SH NAME
 getlogin, getlogin_r \- get login name
 .SH SYNOPSIS
@@ -42,6 +43,14 @@
 several login names.
 .sp
 .LP
+The login name plus the terminating null byte can be up to 33 characters
+in length.  For programs that call \fBgetlogin()\fR and expect only the
+legacy 9-character length, the user compatibility library
+\fB/usr/lib/getlogin8.so.1\fR truncates long login names to fit a
+9-character buffer.  This library should be added to such an application
+at runtime using \fBLD_PRELOAD\fR.
+.sp
+.LP
 If \fBgetlogin()\fR is called within a process that is not attached to a
 terminal, it returns a null pointer. The correct procedure for determining the
 login name is to call \fBcuserid\fR(3C), or to call \fBgetlogin()\fR and if it
@@ -151,6 +160,24 @@
 user access and administration information
 .RE
 
+.sp
+.ne 2
+.na
+\fB\fB/usr/lib/getlogin8.so.1\fR\fR
+.ad
+.RS 18n
+A compatibility library to truncate long login names.
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB/usr/lib/64/getlogin8.so.1\fR\fR
+.ad
+.RS 18n
+A 64-bit compatibility library to runcate long login names.
+.RE
+
 .SH ATTRIBUTES
 .sp
 .LP
